@extends('layouts.admin')
@section('title','Create Player')

@section('content')
<div class="admin-form-main-block">
  <h4 class="admin-form-text">
    @can('audio.view')
      <a href="{{url('admin/worldcupplayer')}}" data-toggle="tooltip" data-original-title="{{__('adminstaticwords.GoBack')}}" class="btn-floating"><i class="material-icons">reply</i></a>
    @endcan 
    Create Player
  </h4>
  <div class="row">
     <div class="col-md-6">
     <div class="admin-form-block z-depth-1">
       {!! Form::open(['method' => 'POST', 'action' => 'WorldCupPlayerController@store']) !!}

        <div id="movie_title" class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
          {!! Form::label('name', 'Player Name') !!}
    
          {!! Form::text('name', old('name'), ['class' => 'form-control', 'placeholder' => 'Player Name']) !!}
          <small class="text-danger">{{ $errors->first('name') }}</small>
        </div>



         <label for="rank">rank: </label>
          <input  type="number" class="form-control" name="rank" placeholder=""  value="0">

          <label for="team">Team: </label> 
          <input  type="text" class="form-control" name="team" placeholder="player team">

          <label for="position">Position: </label> 
          <div class="input-group">
          <select name="position" class ="form-control select2">
          <option value="1">Scorer</option>
          <option value="2">Assist</option>
          <option value="3">Keeper</option>
            </select>
            </div>

          <label for="points">points: </label>  
          <input  type="number" class="form-control" name="points" placeholder=""  value="0">




 
  <div class="btn-group pull-right">
    <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
    <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
  </div>
{!! Form::close() !!}
</div>
</div>
</div>
</div>
<!-- Add Language Modal -->

@endsection

@section('custom-script')


<script>
  $(document).ready(function(){
   $('#ifbox').show();
   $('#selecturl').change(function(){  
     selecturl = document.getElementById("selecturl").value;
      if (selecturl == 'audiourl') {
    $('#ifbox').show();
    $('#uploadaudio').hide();

  }else if (selecturl == 'upload_audio') {
   $('#uploadaudio').show();
   $('#ifbox').hide();

 }

});
 

  $('input[name="is_protect"]').click(function(){
    if($(this).prop("checked") == true){
      $('.is_protect').fadeIn();
    }
    else if($(this).prop("checked") == false){
      $('.is_protect').fadeOut();
    }
  });
});
</script>



</script>
@endsection
